This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 198247 - Review Request: libpng10
Review Request: libpng10
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael J Knox
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 195858 198245
  Show dependency treegraph
 
Reported: 2006-07-10 11:31 EDT by Paul Howarth
Modified: 2010-05-11 00:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-02 09:07:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Howarth 2006-07-10 11:31:49 EDT
Spec URL: http://www.city-fan.org/~paul/extras/Gnome-1/libpng10.spec
SRPM URL: http://www.city-fan.org/~paul/extras/Gnome-1/libpng10-1.0.20-1.src.rpm
Description:

http://www.city-fan.org/~paul/extras/Gnome-1/libpng10-1.0.20-1.src.rpm

This package was removed from Core for FC6 and I am submitting it to Extras to support the people that still need it for legacy applications. I pulled the package from Core CVS and then tweaked it for Extras and to suit my own cosmetic preferences. I also updated it to the latest upstream version and updated the configuration patch so that it would apply against the new version. Reviewers may consider using rpmdiff to compare the built packages with the versions in Fedora Core 5.
Comment 1 Rex Dieter 2006-07-10 12:13:35 EDT
Since -devel has files in %{_libdir}/pkgconfig , to avoid possible unowned 
dirs, it should:
Requires: pkgconfig
Comment 2 Paul Howarth 2006-07-10 12:24:57 EDT
(In reply to comment #1)
> Since -devel has files in %{_libdir}/pkgconfig , to avoid possible unowned 
> dirs, it should:
> Requires: pkgconfig

It already does:

%package devel
Group:		Development/Libraries
Summary:	Development tools for version 1.0 of libpng
Requires:	libpng10 = %{version}-%{release}, zlib-devel, pkgconfig
Comment 3 Rex Dieter 2006-07-10 12:28:41 EDT
doh, sorry for the noise (I'm used to only looking at one Requires: item per 
line).
Comment 4 Michael J Knox 2006-07-19 17:41:31 EDT
Hi, I will review this one for you. 

Review for release 1:

* RPM name is OK
* Source libpng-1.0.20.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of libpng10 looks OK
* rpmlint of libpng10-devel looks OK
* File list of libpng10 looks OK
* File list of libpng10-devel looks OK

Notes:

Looks good. I am happy, consider it APPROVED. Please remember to close the bug
report once this has been imported into CVS. 
Comment 5 Paul Howarth 2006-07-20 11:42:51 EDT
I need some help with this. It's failing to build on x86_64:

http://buildsys.fedoraproject.org/logs/fedora-development-extras/12809-libpng10-1.0.20-2.fc6/x86_64/build.log

At first I thought it was out-of-order building due to a broken Makefile and the
use of %{?_smp_mflags}, but that wasn't it. I now suspect it may be to do with
the use of assembly code. The strange thing is that it builds fine on x86_64
RHEL3 (the only x86_64 box I have access to).

It could probably be fixed by using the configure script instead of the old
Makefiles, but doing it that way I can't find any way to make it produce shared
libraries with an soname (libpng.so.2.1.0.20) that lines up with what's in
previous Fedora/Red Hat releases.
Comment 6 Michael J Knox 2006-07-20 21:28:57 EDT
I have a x86-64 machine at work. I will try and load up FC5 on it and take a look. 
Comment 7 Paul Howarth 2006-07-21 02:44:53 EDT
Thanks. I plan to replace my home machine with a 64-bit one next month but I'd
like to sort this out sooner :-)
Comment 8 Michael J Knox 2006-07-25 18:07:24 EDT
argh... bab memory makes for very interesting errors not relating to libpng10. 

Hopefully be able to sort out this hardware by weeks end.
Comment 9 Michael J Knox 2006-07-25 18:31:03 EDT
Hey Paul, just curious as to why we don't use the configure script in this package? 

I added 

./autogen.sh
%configure 

to the spec and it builds on x86-64 now. Though there are files that are not
listed in %files
Comment 10 Paul Howarth 2006-07-26 02:56:09 EDT
I'd love to use the configure script. However, I can't find any way to tweak it
to get it to produce the right soname. For instance, the libpng10-1.0.18 package
in FC5 has libpng.so.2.1.0.18; it follows that this libpng10-1.0.20 package
should have libpng.so.2.1.0.20 for compatibility (which is the main reason for
the existence of this package) but I can't get the configure script, or more
exactly, libtool, to generate an object with that soname.

I think the configure script output could be useful though, as it should produce
the correct set of defines to be used when building the package using the older
Makefiles.
Comment 11 Paul Howarth 2006-08-01 12:25:29 EDT
OK, I've managed to persuade, with the aid of a patch, the configure script to
generate the correct soname. Can you give this one a try on rawhide x86_64?

SPEC: http://www.city-fan.org/~paul/extras/Gnome-1/libpng10.spec
SRPM: http://www.city-fan.org/~paul/extras/Gnome-1/libpng10-1.0.20-3.src.rpm


Comment 12 Michael J Knox 2006-08-01 18:26:46 EDT
Build on x86-64 now. Nice work fixing that. 
Comment 13 Paul Howarth 2006-08-02 09:07:07 EDT
 13589 (libpng10): Build on target fedora-development-extras succeeded.
     Build logs may be found at
http://buildsys.fedoraproject.org/logs/fedora-development-extras/13589-libpng10-1.0.20-3.fc6/

Thanks for the review and the help.
Comment 14 Paul Howarth 2010-05-10 08:10:38 EDT
Package Change Request
======================
Package Name: libpng10
New Branches: EL-6
Owners: pghmcfc

libpng10 has been dropped from EL-6 (it was present in previous EL releases).
Comment 15 Kevin Fenzi 2010-05-11 00:33:41 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.